Skip to main content
GET
https://{tenantDomain}/api/v2
/
guardian
/
enrollments
/
{id}
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Guardian.Enrollments.Get(
        context.TODO(),
        "id",
    )
}
{
  "id": "dev_0000000000000001",
  "status": "pending",
  "name": "iPhone 7",
  "identifier": "76dc-a90c-a88c-a90c-a88c-a88c-a90c",
  "phone_number": "+1 999999999999",
  "enrolled_at": "2016-07-12T17:56:26.804Z",
  "last_auth": "2016-07-12T17:56:26.804Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the enrollment to be retrieve.

Pattern: ^((totp|sms|voice|push|email|recovery-code|webauthn-roaming|webauthn-platform)\|)?dev_[A-Za-z0-9-_]+$

Response

Enrollment successfully retrieved.

id
string
default:dev_0000000000000001
required

ID for this enrollment.

status
enum<string>
default:pending

Status of this enrollment. Can be pending or confirmed.

Available options:
pending,
confirmed
name
string
default:iPhone 7

Device name (only for push notification).

Required string length: 1 - 20
Pattern: ^\+[0-9]{8, 20}
identifier
string
default:76dc-a90c-a88c-a90c-a88c-a88c-a90c

Device identifier. This is usually the phone identifier.

phone_number
string
default:+1 999999999999

Phone number.

enrolled_at
string
default:2016-07-12T17:56:26.804Z

Enrollment date and time.

last_auth
string
default:2016-07-12T17:56:26.804Z

Enrollment date and time.